/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorMergeResultDetailProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorMergeResultDetailProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * 入力の翻訳結果ログ(左辺)。基本的に これが英語ロケールです。こちらを基準に処理します。
     *
     * フィールド: [sourceleft]。
     */
    private String fSourceleft;

    /**
     * 入力の翻訳結果ログ(右辺)。基本的に、これが各国語ロケールです。左辺と一致しなかった翻訳は無視されます。
     *
     * フィールド: [sourceright]。
     */
    private String fSourceright;

    /**
     * 出力のマージ後ファイル。
     *
     * フィールド: [targetfile]。
     */
    private String fTargetfile;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourceleft] の値を設定します。
     *
     * フィールドの説明: [入力の翻訳結果ログ(左辺)。基本的に これが英語ロケールです。こちらを基準に処理します。]。
     *
     * @param argSourceleft フィールド[sourceleft]に設定する値。
     */
    public void setSourceleft(final String argSourceleft) {
        fSourceleft = argSourceleft;
    }

    /**
     * フィールド [sourceleft] の値を取得します。
     *
     * フィールドの説明: [入力の翻訳結果ログ(左辺)。基本的に これが英語ロケールです。こちらを基準に処理します。]。
     *
     * @return フィールド[sourceleft]から取得した値。
     */
    public String getSourceleft() {
        return fSourceleft;
    }

    /**
     * フィールド [sourceright] の値を設定します。
     *
     * フィールドの説明: [入力の翻訳結果ログ(右辺)。基本的に、これが各国語ロケールです。左辺と一致しなかった翻訳は無視されます。]。
     *
     * @param argSourceright フィールド[sourceright]に設定する値。
     */
    public void setSourceright(final String argSourceright) {
        fSourceright = argSourceright;
    }

    /**
     * フィールド [sourceright] の値を取得します。
     *
     * フィールドの説明: [入力の翻訳結果ログ(右辺)。基本的に、これが各国語ロケールです。左辺と一致しなかった翻訳は無視されます。]。
     *
     * @return フィールド[sourceright]から取得した値。
     */
    public String getSourceright() {
        return fSourceright;
    }

    /**
     * フィールド [targetfile] の値を設定します。
     *
     * フィールドの説明: [出力のマージ後ファイル。]。
     *
     * @param argTargetfile フィールド[targetfile]に設定する値。
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド [targetfile] の値を取得します。
     *
     * フィールドの説明: [出力のマージ後ファイル。]。
     *
     * @return フィールド[targetfile]から取得した値。
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorMergeResultDetailProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourceleft=" + fSourceleft);
        buf.append(",sourceright=" + fSourceright);
        buf.append(",targetfile=" + fTargetfile);
        buf.append("]");
        return buf.toString();
    }
}
